> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get calling settings for a phone number



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/whatsapp/management.yml get /whatsapp/phone_numbers/{phone_number}/calling_settings
openapi: 3.1.0
info:
  title: Telnyx WhatsApp Management API
  version: 2.0.0
  description: >
    API for managing WhatsApp Business Accounts (WABAs), phone numbers, and
    message templates.


    Use these endpoints to:

    - List and manage WhatsApp Business Accounts

    - Configure phone numbers for WhatsApp

    - Create and manage message templates

    - Set up webhook configurations
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /whatsapp/phone_numbers/{phone_number}/calling_settings:
    get:
      tags:
        - Whatsapp Phone Numbers
      summary: Get calling settings for a phone number
      operationId: GetWhatsappCallingSettings
      parameters:
        - $ref: '#/components/parameters/WhatsappPhoneNumber'
      responses:
        '200':
          $ref: '#/components/responses/WhatsappCallingSettingsResponse'
          description: Calling settings
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const callingSetting = await
            client.whatsapp.phoneNumbers.callingSettings.retrieve('phone_number');


            console.log(callingSetting.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            calling_setting =
            client.whatsapp.phone_numbers.calling_settings.retrieve(
                "phone_number",
            )

            print(calling_setting.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcallingSetting, err := client.Whatsapp.PhoneNumbers.CallingSettings.Get(context.TODO(), \"phone_number\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", callingSetting.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.callingsettings.CallingSettingRetrieveParams;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.callingsettings.CallingSettingRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    CallingSettingRetrieveResponse callingSetting = client.whatsapp().phoneNumbers().callingSettings().retrieve("phone_number");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            calling_setting =
            telnyx.whatsapp.phone_numbers.calling_settings.retrieve("phone_number")


            puts(calling_setting)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $callingSetting = $client->whatsapp->phoneNumbers->callingSettings->retrieve(
                'phone_number'
              );

              var_dump($callingSetting);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx whatsapp:phone-numbers:calling-settings retrieve \
              --api-key 'My API Key' \
              --phone-number phone_number
components:
  parameters:
    WhatsappPhoneNumber:
      name: phone_number
      in: path
      required: true
      schema:
        type: string
      description: Phone number (E.164 format)
  responses:
    WhatsappCallingSettingsResponse:
      description: Successful response with Whatsapp calling settings
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/WhatsappCallingSettingsData'
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  schemas:
    WhatsappCallingSettingsData:
      type: object
      properties:
        record_type:
          type: string
          example: whatsapp_calling_settings
        phone_number:
          type: string
          description: Phone number in E164 format
        updated_at:
          type: string
          format: date-time
        enabled:
          type: boolean
          description: True if calling is enabled on the phone
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````